<?php

/**
 * This Software is the property of Data Development and is protected
 * by copyright law - it is NOT Freeware.
 * Any unauthorized use of this software without a valid license
 * is a violation of the license agreement and will be prosecuted by
 * civil and criminal law.
 * http://www.shopmodule.com
 *
 * @copyright (C) D3 Data Development (Inh. Thomas Dartsch)
 * @author        D3 Data Development - Daniel Seifert <support@shopmodule.com>
 * @link          http://www.oxidmodule.com
 */

/**
 * Metadata version
 */
$sMetadataVersion = '1.1';

/**
 * Module information
 */
$aModule = array(
    'id'          => 'd3printbasket',
    'title'       => (class_exists('d3utils') ? d3utils::getInstance()->getD3Logo() : 'D&sup3;') . ' Warenkorb drucken',
    'description' => array(
        'de' => 'Erm&ouml;glicht die f&uuml;r den Druck optimierte Anzeige des Warenkorbes.',
        'en' => 'n/a',
    ),
    'thumbnail'   => 'picture.png',
    'version'     => '2.1.1.0',
    'author'      => 'D&sup3; Data Development (Inh.: Thomas Dartsch)',
    'email'       => 'support@shopmodule.com',
    'url'         => 'http://www.oxidmodule.com/',
    'extend'      => array(
        'basket' => 'd3/d3printbasket/modules/controllers/d3_basket_print',
    ),
    'files'       => array(
        'd3printbasket_update'       => 'd3/d3printbasket/setup/d3printbasket_update.php',
        'd3_cfg_printbasket'         => 'd3/d3printbasket/application/controllers/admin/d3_cfg_printbasket.php',
        'd3_cfg_printbasket_licence' => 'd3/d3printbasket/application/controllers/admin/d3_cfg_printbasket_licence.php',
        'd3_cfg_printbasket_list'    => 'd3/d3printbasket/application/controllers/admin/d3_cfg_printbasket_list.php',
        'd3_cfg_printbasket_main'    => 'd3/d3printbasket/application/controllers/admin/d3_cfg_printbasket_main.php',
    ),
    'templates'   => array(
        'd3_email_preorder_print.tpl'           => 'd3/d3printbasket/views/tpl/d3_email_preorder_print.tpl',
        'd3_basket_prinbasket.tpl'              => 'd3/d3printbasket/views/tpl/d3_basket_prinbasket.tpl',
        'd3_script_for_basketprint.tpl'         => 'd3/d3printbasket/views/tpl/d3_script_for_basketprint.tpl',
        'd3_style_for_basketprint.tpl'          => 'd3/d3printbasket/views/tpl/d3_style_for_basketprint.tpl',
        'd3_basket_preorder_print_articles.tpl' => 'd3/d3printbasket/views/tpl/d3_basket_preorder_print_articles.tpl',
        // admin
        'd3_cfg_printbasket.tpl'                 => 'd3/d3printbasket/views/admin/tpl/d3_cfg_printbasket.tpl',
    ),
    'events'      => array(
        'onActivate' => 'd3install::checkUpdateStart',
    ),
    'blocks'      => array(
        array(
            'template' => 'page/checkout/basket.tpl',
            'block'    => 'checkout_basket_main',
            'file'     => 'views/blocks/page/checkout/d3_basket_print.tpl'
        ),
    ),
    'd3FileRegister' => array(
        'd3/d3printbasket/metadata.php',
        'd3/d3printbasket/IntelliSenseHelper.php',

        'd3/d3printbasket/application/translations/de/d3printbasket_lang.php',
        'd3/d3printbasket/application/views/admin/de/d3_printbasket_lang.php',

        'd3/d3printbasket/out/azure/img/printer.png',
        'd3/d3printbasket/translations/de/d3printbasket_lang.php',

        'd3/d3printbasket/views/admin/blocks/d3_headitem_multivariants_js.tpl',
        'd3/d3printbasket/views/admin/blocks/d3_headitem_multivariants_style.tpl',
        'd3/d3printbasket/views/admin/de/d3_printbasket_lang.php',
        'd3/d3printbasket/views/admin/tpl/d3_cfg_printbasket.tpl',

        'd3/d3printbasket/views/blocks/page/checkout/d3_basket_print.tpl',

        'd3/d3printbasket/views/tpl/d3_basket_preorder_print_articles.tpl',
        'd3/d3printbasket/views/tpl/d3_basket_prinbasket.tpl',
        'd3/d3printbasket/views/tpl/d3_email_preorder_print.tpl',
        'd3/d3printbasket/views/tpl/d3_script_for_basketprint.tpl',
        'd3/d3printbasket/views/tpl/d3_style_for_basketprint.tpl',
    ),
);
